// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: fifo_log_fmt
// PURPOSE: Defines the for format for logging of information 
class fifo_log_fmt extends vmm_log_format;

function new();
endfunction : new

  extern virtual function string format_msg( string name,
                             string instance,
                             string msg_type,
                             string severity,
                             ref string lines[$]);
endclass : fifo_log_fmt

function string fifo_log_fmt::format_msg( string name,
                             string instance,
                             string msg_type,
                             string severity,
                             ref string lines[$]);
`foreach (lines, l)
  $sformat(format_msg, "%0t %s [%0s:%0s] | %s",
           $time, name, severity, msg_type, lines[l]);

endfunction : format_msg
