// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: fifo_gen_xactor
// PURPOSE: Creates the fifo_xactn generator to source transactions 
//          into the fifo_xactn_channel
//          Also defines the number of transactions to execute.  
`vmm_atomic_gen(Fifo_xactn, "FIFO Xaction Generator")

class Push_cfg;
// How many transactions a test shall have?
  rand int no_of_xactions;

  constraint atleast_1_cst {
    no_of_xactions > 230;
  }
  constraint small_tst_cst {
    no_of_xactions < 250;
  }

endclass : Push_cfg


