// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: Data_callback
// PURPOSE: callback to Inject an error

virtual class Data_callback extends vmm_xactor_callbacks;
  import fifo_pkg::*;
  virtual function void flip_data(ref word_t data);
  endfunction : flip_data
endclass : Data_callback
    // --------------------
    
class Data2_callback extends Data_callback;
  function void flip_data(ref word_t data);
     data={{data[WIDTH-1:2], !data[1], data[0]}};
	$display("data2_callback %b", data);
  endfunction : flip_data
endclass : Data2_callback

class Data3_callback extends Data_callback;
  function void flip_data(ref word_t data);
     data={{~data[WIDTH-1:2], data[1], data[0]}};
     $display("data3_callback %b", data);	
  endfunction : flip_data
endclass : Data3_callback  