// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: fifo_csr_if
// PURPOSE: interface for fifo configuration 

interface fifo_csr_if (input clk, reset_n);
  timeunit 1ns;
  timeprecision 100ps;
  logic csr_rd, csr_wr;
  logic [1:0] csr_addr;
  logic [4:0] csr_data;

  modport fifo_ctl_mp (input csr_rd, csr_wr, csr_addr,
   inout      csr_data);
  
endinterface : fifo_csr_if