// VhdlCohen Publishing, copyright 2006 
// wwww.abv-sva.org   ben@abv-sva.org  01/05/06  
// NAME: fifo_log_fmt
// PURPOSE: Defines the for format for logging of information 
class Fifo_log_fmt extends vmm_log_format;

function new();
endfunction : new

  extern virtual function string format_msg( string name,
                             string instance,
                             string msg_type,
                             string severity,
                             ref string lines[$]);
endclass : Fifo_log_fmt

function string Fifo_log_fmt::format_msg( string name,
                             string instance,
                             string msg_type,
                             string severity,
                             ref string lines[$]);
`foreach (lines, l)
  $sformat(format_msg, "%0t %s [%0s:%0s] | %s",
           $time, name, severity, msg_type, lines[l]);

endfunction : format_msg
