// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: s2p_pgm
// PURPOSE:  Test program for the s2p

program s2p_test_pgm ();

  
`include "vmm.sv"
`include "s2p_env.sv"

  vmm_log log;
  S2p_env s2p_env_0;

  initial
  begin : b1
    // Build all components of an envrionment - testbench
    log = new("Pgm_Logger",0);
    s2p_env_0 = new(); 
    `vmm_note(log,"Started");
    s2p_env_0.run();
    `vmm_note(log,"DONE");
     #100 $finish;
     
    end : b1
endprogram : s2p_test_pgm
