// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: s2p_scen_gen
// PURPOSE: Creates the s2p_xactn scenario generator 

`vmm_scenario_gen(S2p_xactn, "S2P Xaction Generator")

class Test_cfg;
// How many transactions a test shall have?
  rand int no_of_xactions;

  constraint atleast_1_cst {
    no_of_xactions > 0;
  }
  constraint small_tst_cst {
    no_of_xactions < 10;
  }

endclass : Test_cfg
