// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: s2p_atomic_gen
// PURPOSE: Creates the s2p_xactn generator to source transactions 
//          into the s2p_xactn_channel
//          Also defines the number of transactions to execute.  

`vmm_atomic_gen(S2p_xactn, "S2p Xaction Generator")

class Test_cfg;
// How many transactions a test shall have?
  rand int no_of_xactions;

  constraint atleast_1_cst {
    no_of_xactions == 5;
  }
endclass : Test_cfg
