// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: Data_err_inject
// PURPOSE: Determines when to inject an error 

class Data_err_inject;
 import fifo_pkg::*;
  virtual function Data_err_inject allocate();
    Data_err_inject derr_local=new;
    $display("data_err_inject allocate");      
    allocate = derr_local;
  endfunction : allocate 
	
  rand inject_err_t inject_err;

  constraint cst_inject_err{
    inject_err dist {
      INJECT := 5,
      NO_INJECT :=100
   };
  } // cst_inject_err

endclass : Data_err_inject
    // --------------------
