// VhdlCohen Publishing, copyright 2006 
// wwww.abv-sva.org   ben@abv-sva.org  01/05/06  
// NAME: fifo_gen_xactor
// PURPOSE: Creates the fifo_xactn generator to source transactions 
//          into the fifo_xactn_channel
//          Also defines the number of transactions to execute.  

`vmm_atomic_gen(Fifo_xactn, "FIFO Xaction Generator")

class Test_cfg;
// How many transactions a test shall have?
  rand int no_of_xactions;

  constraint atleast_1_cst {
    no_of_xactions > 0;
  }
  constraint small_tst_cst {
    no_of_xactions < 250;
  }

endclass : Test_cfg


