// VhdlCohen Publishing, copyright 2006 
// wwww.abv-sva.org   ben@abv-sva.org  01/05/06  
// NAME: fifo_test_pgm
// PURPOSE:  Test program for the FIFO
// This program is inserted into the testbench for 
// the verification of the FIFO.
// The program represents the core of the test environment and includes the
// transaction generator and transactor.  
program fifo_test_pgm (output logic    reset_n
                       );
  timeunit 1ns;
  timeprecision 100ps;
`include "vmm.sv"
`include "fifo_env.sv"

  vmm_log log;
  Fifo_env fifo_env_0;

  initial
  begin
    // Build all components of an envrionment - testbench
    log = new("fifo_pgm","");
    fifo_env_0 = new(); 
    `vmm_note(log,"Start of Test");
    fifo_env_0.run();
    `vmm_note(log, "End of Test");
  end
endprogram : fifo_test_pgm
