interface s2p_if (input logic clk, rst_n);
   logic ser_data;
   logic ser_sop, ser_eop, ser_abort;
   logic [7:0] par_data;
   logic       par_data_valid;
   
   clocking ser_cb @ (posedge clk);
     output ser_data, ser_sop, ser_eop, ser_abort;
   endclocking : ser_cb
    
   modport ser_drv_mp (clocking ser_cb);
   
   clocking par_cb @ (posedge clk);
   output   par_data, par_data_valid;
   endclocking : par_cb
    
   modport par_drv_mp (clocking par_cb);
   
endinterface : s2p_if
