// VhdlCohen Publishing, copyright 2006 
// wwww.systemverilog.us  ben@systemverilog.us
// Code for use with the book 
// "A pragmatic Approach to Adopting VMM" ISBN 0-9705394-0-5
// NAME: s2p_tb
// PURPOSE: Top-level testbench that incorporates the program, the interface
// and clock generation

  timeunit 1ns;
  timeprecision 100ps;
module s2p_tb;

  logic clk = 1'b0;   // system clock
  logic  rst_n;

  s2p_if  s2p_if_0 (.*); // instantiation of s2p interface

  s2p_test_pgm utest_pgm ();



   initial forever #50 clk = ~clk;

   initial
    begin
      $vcdpluson;
    end
endmodule : s2p_tb
